#!/bin/bash
set -e

pkg=wham-align

export LC_ALL=C.UTF-8
if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  # Double quote below to expand the temporary directory variable now versus
  # later is on purpose.
  # shellcheck disable=SC2064
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"

gunzip -r *
ls -R
mkdir indexes
#do_stuff_to_test_package#

echo -e "\e[93m\e[1mTest 1\e[0m"
wham-build -l 60 -v 2 --mask sequences/chr1_100k.fa indexes/idx
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 2\e[0m"
wham reads/sample.fq indexes/idx output1
diff output1 ref/output1
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 3\e[0m"
wham -a --best reads/sample.fq indexes/idx output2
diff output2 ref/output2
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 4\e[0m"
wham -k 3 -m 5 reads/sample.fq indexes/idx output3
diff output3 ref/output3
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 5\e[0m"
wham -v 3 reads/sample.fq indexes/idx output4
diff output4 ref/output4
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 6\e[0m"
wham -a -e 60 reads/sample.fq indexes/idx output5
diff output5 ref/output5
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 7\e[0m"
wham -1 reads/sample_pair_1.fq -2 reads/sample_pair_2.fq indexes/idx output6
diff output6 ref/output6
echo -e "\e[92m\e[1mPassed\e[0m"
echo

echo -e "\e[93m\e[1mTest 8\e[0m"
wham -t 16 reads/sample.fq indexes/idx output7
diff output7 ref/output7
echo -e "\e[92m\e[1mPassed\e[0m"
echo

